v 14.0 Third Party 778
Download for v 14.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Included Dependencies
Lines of code 23197
Technical Name dynamic_accounts_report
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Included Dependencies
Lines of code 23197
Technical Name dynamic_accounts_report
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0

Odoo 14 Dynamic Financial Reports

Dynamic Accounting General Ledger, Trial Balance, Balance Sheet, Profit and Loss, Cash Flow Statements, Partner Ledger, Partner Ageing, Day book, Bank book and Cash book Reports in Odoo 14 community edition.

Dynamic Financial Reports for Odoo14 Community Edition.

Now generate dynamic financial reports for Odoo 14 Eommunity Edition.

Various Filters to Compare.

Option to compare report values with various filters available.

Print to PDF and XLSX Format.

One can print the reports in both the PDF and XLSX format

Access the Journal Entries.

Easy access to the corresponding journal entries directly from the dynamic report view.

Drill-down Approach in Reports.

The user can drill down from the main report to the journal entries. One can open form view of each journal entries and view the complete details here.

Configurable Financial Reports.

Backend configuration for financial reports. One can configure the heirarchy of financial reports.

Screenshots

1
Dynamic Financial Reports Menu
2
Financial Reports Configuration
3
General Ledger
4
Trial Balance Report
5
Balance Sheet
6
Profit and Loss Account
7
Partner Ledger Report
8
Aged Partner Balance Report
9
Cash Flow Statements Report
10
Cash Book Report
11
Bank Book Report
12
Day Book Report

Suggested Products

Check out our other products

Our Services

We provide following services

Odoo Customization
Odoo Implementation
Odoo Support
Hire Odoo Developer
Odoo Integration
Odoo Migration
Odoo Consultancy
Odoo Implementation
Odoo Licensing Consultancy

Our Industries

Our industry specifics and process segments to solve your complex business barriers.

Trading

Easily procure and sell your products

POS

Easy configuration and convivial experience

Education

A platform for educational management

Manufacturing

Plan, track and schedule your operations

E-commerce & Website

Mobile friendly, awe-inspiring product pages

Service Management

Keep track of services and invoice

Restaurant

Run your bar or restaurant methodically

Hotel Management

An all-inclusive hotel management application

Need Help?

Do you have any queries regarding our products & services? Let us know.


Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Nice App
by
Ahsan Anwar
on 6/29/21, 5:23 AM



i get an error widow in profit and loss report how can i contact u
by
maram
on 6/18/21, 7:14 AM
Re: i get an error widow in profit and loss report how can i contact u
by
Cybrosys Technologies
on 6/18/21, 10:03 AM Author

Hi, send an email to odoo@cybrosys.com

Our team will connect you.


Really good
by
Luis Cabrera
on 6/1/21, 10:28 PM

How can I change the report signs, cause Incomes are displayed as negative, and expenses as positive. I tried Accounting >> Configuration >> Account Reports and change the Sign on Reports, but it didn't work.

Also, how can I display numbers with thousand separator?


Awesome app
by
Felix Asenji
on 5/21/21, 10:31 AM

I like the way the reports are generated. I have one request, is it possible to have the P & L reports displayed in the following sequence.- 

Income

Expenses 

instead of 

Expenses

Income


Re: Awesome app
by
Cybrosys Technologies
on 5/24/21, 3:13 AM Author

Hello, Thanks for informing. We will update that as soon as possible.
You can change this order from UI,
You can go to Accounting >> Configuration >> Account Reports and change the sequence of Income and expenses


by
noureldeen9012@gmail.com
on 5/17/21, 9:33 AM

Really cool app

but there is a problem

Profit and loss report and Balance Sheet report gives blank screen no data

Please help

Re:
by
Cybrosys Technologies
on 5/17/21, 11:36 AM Author

Hello,
Our team will contact you on email (noureldeen9012@gmail.com). Hope we can reach you on that. otherwise, let us know.


nice app with a small problem for me
by
Alex Sirros
on 7/25/21, 2:02 PM

When viewing the Profit and Loss report it shows the income accounts twice once under income and once under operating income, this started only after upgrading the base accounting kit app.


the income showing an exaggerated profit on PNL, however the Balance sheet shows correct


I have version 14.0.1.2.2

Any ideas or suggestions?


Profit and loss report and Balance Sheet report gives blank screen no data Please help
by
haitham.elgohary@gmail.com
on 7/8/21, 3:41 PM

Profit and loss report and Balance Sheet report gives blank screen no data

Please help


by
N
on 7/5/21, 11:04 PM

While trying to install, there is an error

odoo.tools.convert.ParseError: while parsing /odoo/custom/addons/base_accounting_kit/wizard/trial_balance.xml:4, near
<record id="account_report_balance_view" model="ir.ui.view">
        <field name="name">Trial Balance</field>
        <field name="model">account.balance.report</field>
        <field name="inherit_id" ref="account.account_common_report_view"/>
        <field name="arch" type="xml">
            <data>
            <field name="journal_ids" position="replace"/>
                <xpath expr="//field[@name='target_move']" position="after">
                    <field name="display_account" widget="radio"/>
                    <newline/>



get an error during installation
by
Steve Petros
on 6/15/21, 12:11 PM

Can you help please ?

Can you help please ?

Erreur:
Odoo Server Error
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\tools\convert.py", line 677, in _tag_root
    f(rec)
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\tools\convert.py", line 580, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\models.py", line 4211, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\models.py", line 4140, in _load_records_create
    return self.create(values)
  File "<decorator-gen-43>", line 2, in create
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\api.py", line 345, in _model_create_multi
    return create(self, arg)
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\addons\base\models\ir_ui_view.py", line 482, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-65>", line 2, in create
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\api.py", line 345, in _model_create_multi
    return create(self, arg)
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\addons\base\models\ir_fields.py", line 533, in create
    recs = super().create(vals_list)
  File "<decorator-gen-13>", line 2, in create
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\api.py", line 345, in _model_create_multi
    return create(self, arg)
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\models.py", line 3901, in create
    fields[0].determine_inverse(batch_recs)
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\fields.py", line 1185, in determine_inverse
    getattr(records, self.inverse)()

...
 
Re: get an error during installation
by
Cybrosys Technologies
on 6/16/21, 1:10 AM Author

Hi, form this error message,It doesn't look like something related to this module.
anyway, Please send an email to odoo@cybrosys.com. Our team will check what is going on.


by
maram
on 6/12/21, 2:54 PM

by
maram
on 6/12/21, 1:32 PM

this error occure when press partner ageing report menu


Error:

Odoo Server Error


Traceback (most recent call last):

  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/opt/odoo14/odoo/odoo/http.py", line 683, in dispatch

    result = self._call_function(**self.params)

  File "/opt/odoo14/odoo/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/opt/odoo14/odoo/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/opt/odoo14/odoo/odoo/http.py", line 347, in checked_call

    result = self.endpoint(*a, **kw)

  File "/opt/odoo14/odoo/odoo/http.py", line 912, in __call__

    return self.method(*args, **kw)

  File "/opt/odoo14/odoo/odoo/http.py", line 531, in response_wrap

    response = f(*args, **kw)

  File "/opt/odoo14/odoo/addons/web/controllers/main.py", line 1389, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/opt/odoo14/odoo/addons/web/controllers/main.py", line 1381, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/opt/odoo14/odoo/odoo/api.py", line 392, in call_kw

    result = _call_kw_model(method, model, args, kwargs)

  File "/opt/odoo14/odoo/odoo/api.py", line 365, in _call_kw_model

    result = method(recs, *args, **kwargs)

  File "/home/pc/Music/odoo-custom-addons14/dynamic_accounts_report/wizard/ageing.py", line 59, in view_report

    records = self._get_report_values(data)

  File "/home/pc/Music/odoo-custom-addons14/dynamic_accounts_report/wizard/ageing.py", line 149, in _get_report_values

    account_res = self._get_partner_move_lines(data, partners, date_from,

  File "/home/pc/Music/odoo-custom-addons14/dynamic_accounts_report/wizard/ageing.py", line 416, in _get_partner_move_lines

    lines[partner_id].append({

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/opt/odoo14/odoo/odoo/http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/odoo14/odoo/odoo/http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

KeyError: False

Re:
by
Cybrosys Technologies
on 6/16/21, 1:12 AM Author

Hello, We tried to reproduce the error. Can you send an email to odoo@cybrosys.com. So that our team can reach back to you and understand the issue better.?


In Addition to my previous comment
by
Tadelo Ferede
on 5/26/21, 10:09 AM

I can't select the drop down list from the Dynamic report. 

Thanks 

Tadelo


Re: In Addition to my previous comment
by
Cybrosys Technologies
on 5/28/21, 10:56 AM Author

We could only find the issue in Aging report. thanks for your comment. If you are facing somewhere else. Please email us on odoo@cybrosys.com


I can't change the default age range
by
Tadelo Ferede
on 5/26/21, 10:04 AM

Dear Team, 

Could you please help me to change the default age range on your module. 

Thanks 


Re: I can't change the default age range
by
Cybrosys Technologies
on 5/28/21, 10:58 AM Author

We changed the time period to 30 days since that is more common. if you want a another range, please contact us on odoo@cybrosys.com. our team will help you change it.